unit FinishImplU;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  OleCtrls, AgentObjects_TLB;

type
  TForm1 = class(TForm)
    Agent: TAgent;
    procedure FormCreate(Sender: TObject);
  private
    procedure GoodBye;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  Peedy : iAgentCtlCharacterEx;
  Claude : iAgentCtlCharacterEx;
  Request1, Request2, Request3, Request4, Request5, Request6, Request7 : IAgentCtlRequest;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
  Agent.Connected := True;

  Agent.Characters.Load('Peedy', 'peedy.acs');
  Peedy := Agent.Characters.Character('Peedy');
  Peedy.MoveTo(200, 150, 10);
  Peedy.Show(EmptyParam);

  Agent.Characters.Load('Claude', 'claude.acs');
  Claude := Agent.Characters.Character('Claude');
  Claude.MoveTo(500, 150, 10);
  Claude.Show(EmptyParam);

  GoodBye;
end;

procedure TForm1.GoodBye;
begin
  with Peedy do
  begin
    Play('Announce');
    Balloon.Style := 7;
    Request1 := Speak('And that''s why we''re going to be famous.', '');
  end;

  with Claude do
  begin
    Wait(Request1);
    Play('DontRecognize');
    Balloon.Style := 7;
    Request2 := Speak('\Pit=50\\Spd=79\But why?  It still doesn''t make any sense!!', '');
  end;

  with Peedy do
  begin
    Wait(Request2);
    Play('Explain');
    Balloon.Style := 7;
    Request3 := Speak('Because all of those people out there are gonna want to take advantage of our fantastic abilities.','');
  end;

  with Claude do
  begin
    Wait(Request3);
    Speak('\Pit=50\\Spd=79\Well, who could resist such a cute face....','');
    Request4 := Play('Pleased');
  end;

end;

end.
